Module org.hsqldb
Package org.hsqldb.lib

## Class LongValueHashMap<K>

- java.lang.Object
- - org.hsqldb.map.BaseHashMap
  - - org.hsqldb.lib.LongValueHashMap<K>

-     public class LongValueHashMap<K>
      extends org.hsqldb.map.BaseHashMap

  A Map of Object keys to long primitives.

  This class does not store null keys.

  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class org.hsqldb.map.BaseHashMap

      `ACCESS_MAX, emptyObjectArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongValueHashMap()` |
    `LongValueHashMap​(int initialCapacity)` |
    `LongValueHashMap​(int initialCapacity, ObjectComparator<K> comparator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(long value)` |
    `Set<Map.Entry<K,​java.lang.Long>>` | `entrySet()` |
    `long` | `get​(java.lang.Object key)` |
    `long` | `get​(java.lang.Object key, int defaultValue)` |
    `boolean` | `get​(java.lang.Object key, long[] value)` |
    `java.lang.Object` | `getKey​(long value)` |
    `Set<K>` | `keySet()` |
    `boolean` | `put​(K key, long value)` |
    `void` | `putAll​(LongValueHashMap<K> t)` |
    `boolean` | `remove​(java.lang.Object key)` |
    `Collection<java.lang.Long>` | `values()` |

    - ### Methods inherited from class org.hsqldb.map.BaseHashMap

      `clear, clone, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongValueHashMap

          public LongValueHashMap()

    - #### LongValueHashMap

          public LongValueHashMap​(int initialCapacity)
                           throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

    - #### LongValueHashMap

          public LongValueHashMap​(int initialCapacity,
                                  ObjectComparator<K> comparator)

  - ### Method Detail

    - #### get

          public long get​(java.lang.Object key)
                   throws java.util.NoSuchElementException

      Throws:
        `java.util.NoSuchElementException`

    - #### get

          public long get​(java.lang.Object key,
                          int defaultValue)

    - #### get

          public boolean get​(java.lang.Object key,
                             long[] value)

    - #### getKey

          public java.lang.Object getKey​(long value)

    - #### put

          public boolean put​(K key,
                             long value)

    - #### remove

          public boolean remove​(java.lang.Object key)

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

    - #### containsValue

          public boolean containsValue​(long value)

    - #### putAll

          public void putAll​(LongValueHashMap<K> t)

    - #### keySet

          public Set<K> keySet()

    - #### values

          public Collection<java.lang.Long> values()

    - #### entrySet

          public Set<Map.Entry<K,​java.lang.Long>> entrySet()